This queue is for tickets about the Authen-Passphrase CPAN distribution.

Report information
The Basics
Id:
43761
Status:
resolved
Priority:
Low/Low

People
Owner:
Nobody in particular
Requestors:
ANDK [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Normal
Broken in:
0.005
Fixed in:
(no value)



Subject: Does not work on 5.6.2
While watching cpantesters results I discovered that Authen-Passphrase has FAILs on 5.6.2. I can reproduce them but I have not tried to understand what's going on. http://bbbike.radzeit.de/~slaven/cpantestersmatrix.cgi?dist=Authen-Passphrase If you can't or don't want to support 5.6.2, you can declare that with a "use 5.008" in the Makefile.PL as described here: http://wiki.cpantesters.org/wiki/CPANAuthorNotes This will prevent FAILs and send N/A instead. Thanks && Regards,
Subject: Re: [rt.cpan.org #43761] Does not work on 5.6.2
Date: Mon, 2 Mar 2009 14:00:26 +0000
To: Andreas Koenig via RT <bug-Authen-Passphrase@rt.cpan.org>
From: Zefram <zefram@fysh.org>
Andreas Koenig via RT wrote:
Show quoted text
>While watching cpantesters results I discovered that Authen-Passphrase >has FAILs on 5.6.2. I can reproduce them but I have not tried to >understand what's going on.
It's because of \x{} inside character classes in regexps. Been fixed in my source for ages, but I've been waiting on some of the dependencies before making a new release. Probably should put out a release just to fix this, though. -zefram
This is fixed in Authen-Passphrase-0.006, now available on CPAN. Sorry for the wait.


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.